Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.addressing.metadata
Class InterfaceName

    java.lang.Object
      org.apache.axis2.addressing.metadata.InterfaceName

    public class InterfaceName

extends java.lang.Object

Field Summary
`static javax.xml.namespace.QName` | `subQName`
`static javax.xml.namespace.QName` | `wsamQName`
`static javax.xml.namespace.QName` | `wsawQName`

Constructor Summary
`InterfaceName()`
`InterfaceName(javax.xml.namespace.QName name)`

Method Summary
`void` | `fromOM(org.apache.axiom.om.OMElement omElement)` Convenience method to extract metadata from an element.
`javax.xml.namespace.QName` | `getName()` Method getName
`static boolean` | `isInterfaceNameElement(org.apache.axiom.om.OMElement omElement)` Static method to test whether an `OMElement` is recognized as a ServiceName element.
`void` | `setName(javax.xml.namespace.QName name)` Method setName
`org.apache.axiom.om.OMElement` | `toOM(org.apache.axiom.om.OMFactory fac, javax.xml.namespace.QName qname)` Convenience method to convert objects of this type to an `OMElement` so that it can be added to an `EndpointReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### subQName

    public static final javax.xml.namespace.QName subQName

### wsamQName

    public static final javax.xml.namespace.QName wsamQName

### wsawQName

    public static final javax.xml.namespace.QName wsawQName

Constructor Detail

### InterfaceName

    public InterfaceName()

### InterfaceName

    public InterfaceName(javax.xml.namespace.QName name)

Parameters:
  `name` -

Method Detail

### getName

    public javax.xml.namespace.QName getName()

  Method getName

### setName

    public void setName(javax.xml.namespace.QName name)

  Method setName

  Parameters:
    `name` -

### toOM

    public org.apache.axiom.om.OMElement toOM(org.apache.axiom.om.OMFactory fac,
                                              javax.xml.namespace.QName qname)
                                       throws AxisFault

  Convenience method to convert objects of this type to an `OMElement` so that it can be added to an `EndpointReference`

  Use:

  OMElement omElement = serviceName.toOM(new QName("http://schemas.xmlsoap.org/ws/2004/08/addressing", "PortType", "wsa"));

  or

  OMElement omElement = serviceName.toOM(new QName("http://www.w3.org/2007/05/addressing/metadata", "InterfaceName", "wsam"));

  the difference being whether the EndpointReference is meant to represent a 2004/08 (Submission) or 2005/08 (Final) EndpointReference, respectively.

  Parameters:
    `qname` - the `QName` that carries the namespace of the metadata element.
    `fac` - TODO
  Returns:
    an OMElement that can be added to the metadata of an EndpointReference.
  Throws:
    `AxisFault`

### fromOM

    public void fromOM(org.apache.axiom.om.OMElement omElement)
                throws AxisFault

  Convenience method to extract metadata from an element.

  <wsam:InterfaceName xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata">...</wsam:ServiceName>

  or

  <wsa:PortType xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/08/addressing">...</wsa:ServiceName>

  Parameters:
    `omElement` - the `OMElement` that holds the metadata.
  Throws:
    `AxisFault`

### isInterfaceNameElement

    public static boolean isInterfaceNameElement(org.apache.axiom.om.OMElement omElement)

  Static method to test whether an `OMElement` is recognized as a ServiceName element. If this method returns `true` then `fromOM(OMElement)` is guaranteed not to fail.

  Parameters:
    `omElement` - the `OMElement` to test.
  Returns:
    `true` if the element is a ServiceName element, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.